API Reference for Marketo Engage

Update Email Full Content

POST /rest/asset/v1/email/{id}/fullContent.json

Replaces the HTML of an Email that has had its relationship broken from its template.

Operation ID
createEmailFullContentUsingPOST
Permissions
Read-Write Assets
Request format
multipart/form-data
Returns
ResponseOfUpdateEmailFullContentResponse

Parameters

Path 1

id integer (int32) required

Id of the email

Request body

multipart/form-data · required · UpdateEmailFullContentRequest · 1 properties

Sent as multipart form fields, one part per property. Upload fields take a file.

content string required

Multipart file. File containing HTML document to update with. File cannot include JavaScript or script tags.

Responses

200 OK ResponseOfUpdateEmailFullContentResponse
errors array of Error

Model Error

code string required

Error code of the error. See full list of error codes here

message string required

Message describing the cause of the error

requestId string
result array of UpdateEmailFullContentResponse

Model UpdateEmailFullContentResponse

id integer (int32) required

Unique integer id of the email

success boolean
warnings array of string
Generated example
{
  "errors": [
    {
      "code": "string",
      "message": "string"
    }
  ],
  "requestId": "123",
  "result": [
    {
      "id": 123
    }
  ],
  "success": true,
  "warnings": [
    "string"
  ]
}

Referenced models

Generated from swagger-asset.json. Generated examples are inferred from the schema; they are illustrative and may not be valid production payloads.

↑ ↓ to move, ↵ to open, esc to closeSee all results